package com.uas.report.axis;

import java.io.File;
import java.io.IOException;

public class FolderHandler extends BasicResourceHandler {

	@Override
	public Class<?> getResourceType() {
		return Folder.class;
	}

	@Override
	protected File checkFile(String uriString) throws IOException {
		File file = getFile(uriString);
		if (!file.isDirectory()) {
			throw new IOException("资源并非文件夹！");
		}
		return file;
	}
}
